#include "AdafruitIO_WiFi.h"
#include "DHT.h"

#define IO_USERNAME "BENUTZERNAME"
#define IO_KEY "KEY"

#define WIFI_SSID "WLAN-NETZ"
#define WIFI_PASS "PASSWORT"

#define DHTPIN 4
#define DHTTYPE DHT11

AdafruitIO_WiFi io(IO_USERNAME, IO_KEY, WIFI_SSID, WIFI_PASS);

AdafruitIO_Feed *temperatur = io.feed("temperatur");

DHT dht(DHTPIN, DHTTYPE);

float temp;

void setup() {
  Serial.begin(115200);
  dht.begin();

  Serial.print("Connecting to Adafruit IO");
  io.connect();

  while (io.status() < AIO_CONNECTED) {
    Serial.print(".");
    delay(500);
  }

  Serial.println();
  Serial.println(io.statusText());
}

void loop() {
  io.run();

  temp = dht.readTemperature();
  Serial.print("Temperatur = ");
  Serial.print(temp);
  Serial.println(" *C");

  temperatur->save(temp);

  delay(5000);
}
